import HashMap from '@ohos.util.HashMap';
import List from '@ohos.util.List';
import bundleManager from '@ohos.bundle.bundleManager';
import { NativeSituationEventHandler } from "./f";
import common from '@ohos.app.ability.common';
export interface RiskSituationEventHandler {
    onClientEvent(riskSituation: RiskSituation, event: number, subEvent: number, msg: string): void;
    onServerEvent(riskSituation: RiskSituation, action: string, msg: string): void;
}
export interface RiskSituation {
    getRiskApp(): RiskApp;
    setSituationEventHandler(handler: RiskSituationEventHandler): void;
    generateBusinessSign(sid: string, overrideConfig: HashMap<string, string>): Promise<string>;
    scheduleUpdateSituation(delayMS: number, overrideConfig: HashMap<string, string>): void;
    beginScene(scene: string): void;
    endScene(): void;
}
export interface RiskApp {
    getRiskSdk(): RiskSdk;
    getAppId(): string;
    init(defaultConfig: HashMap<string, string>): void;
    getDegradeToken(overrideConfig: HashMap<string, string>): Promise<string>;
    getToken(overrideConfig?: HashMap<string, string>): Promise<string>;
    isDegradeToken(token: string): boolean;
    getRiskSituation(): RiskSituation;
}
export declare class RiskSdk {
    static KEY_USER_ID: string;
    static KEY_USER_EMAIL: string;
    static KEY_USER_PHONE: string;
    static KEY_USER_EXTEND1: string;
    static KEY_USER_EXTEND2: string;
    static KEY_URL: string;
    static KEY_ALGORITHM: string;
    static KEY_TIMEOUT_MS: string;
    static KEY_DELAY_MS_TIME: string;
    static KEY_SITUATION_URL: string;
    static setupInstance(context: common.ApplicationContext): Promise<RiskSdk>;
    getRiskApp(appId: string): s1;
}
declare class q1 implements RiskSdk, NativeSituationEventHandler {
    static b1: q1;
    private static c1;
    packageInfo: List<bundleManager.BundleInfo>;
    mCookie: number;
    cache: HashMap<string, s1>;
    static d1(config: HashMap<string, string>): string[];
    static setupInstance(context: common.ApplicationContext): Promise<RiskSdk>;
    static f1(config: HashMap<string, string>): void;
    static g1(appId: string): void;
    getToken(appId: string, config: HashMap<string, string>): Promise<string>;
    getDegradeToken(appId: string, config: HashMap<string, string>): Promise<string>;
    init(appId: string, config: HashMap<string, string>): void;
    getRiskApp(appId: string): s1;
    h1(key: string): string;
    onSituationClientEvent(appId: string, event: number, a3: number, msg: string): void;
    onSituationServerEvent(appId: string, z2: string): void;
    static e1(context: common.ApplicationContext, bundleInfo: bundleManager.BundleInfo): void;
    isDegradeToken(appId: string, token: string): boolean;
    readyToCallback(): void;
    j1(appId: string, config: HashMap<string, string>, w2: string): any;
    scheduleUpdateSituation(appId: string, config: HashMap<string, string>, delayMS: number): void;
    scene: string;
    l1(appId: string, scene: string): void;
    endScene(appId: string): void;
}
declare class s1 implements RiskApp, RiskSituation {
    private appId;
    private m1;
    handler: RiskSituationEventHandler;
    constructor(appId: string, v2: q1);
    getRiskApp(): RiskApp;
    i1(action: object): void;
    setSituationEventHandler(handler: RiskSituationEventHandler): void;
    generateBusinessSign(t2: string, u2: HashMap<string, string>): Promise<string>;
    scheduleUpdateSituation(delayMS: number, s2?: HashMap<string, string>): void;
    beginScene(scene: string): void;
    endScene(): void;
    getToken(r2?: HashMap<string, string>): Promise<string>;
    getDegradeToken(q2: HashMap<string, string>): Promise<string>;
    isDegradeToken(token: string): boolean;
    getRiskSituation(): RiskSituation;
    getRiskSdk(): q1;
    getAppId(): string;
    init(o2: HashMap<string, string>): void;
}
export {};
